using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

namespace DTable_App.register
{
	/// <summary>
	/// usermg1 的摘要说明。
	/// </summary>
	public class usermg1 : System.Web.UI.Page
	{
		private void Page_Load(object sender, System.EventArgs e)
		{
			// 在此处放置用户代码以初始化页面
			string struser=sharecode.GetSessionValue(sharecode.strUserSName);
			if(struser=="")
			{
				Page.Response.Cookies[sharecode.strFromUrlSName].Value=Page.Request.Url.AbsoluteUri.ToString();Page.Response.Cookies[sharecode.strFromUrlSName].Expires=System.DateTime.Now.AddMinutes(20);
				Page.Response.Write("<script language=javascript>alert('请先登录再进入个人资料管理');window.location.replace('login.aspx');</script>");
				Page.Response.End();

			}
			else//开始准备导向
			{
				System.Data.SqlClient.SqlConnection oconn=new System.Data.SqlClient.SqlConnection(sharecode.ConnStr);
				oconn.Open();
				System.Data.SqlClient.SqlCommand mycmd=new System.Data.SqlClient.SqlCommand("select top 1 id from DTable_User where 用户名='" + struser.Replace("'","") + "'",oconn);
System.Data.SqlClient.SqlDataReader myreader=mycmd.ExecuteReader();
				string strid="";
				if(myreader.Read())
				{
					strid=myreader.GetValue(0).ToString();

				}
				myreader.Close();
				mycmd.Dispose();
				oconn.Close();
				oconn.Dispose();
				if(strid!="")
				{
					Page.Response.Redirect("usermg.aspx?meditid=" + strid + "&furl=../DTableBBS/",true);
					
				}


			}


		}

		#region Web 窗体设计器生成的代码
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: 该调用是 ASP.NET Web 窗体设计器所必需的。
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// 设计器支持所需的方法 - 不要使用代码编辑器修改
		/// 此方法的内容。
		/// </summary>
		private void InitializeComponent()
		{    
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
	}
}
